org.eclipse.debug.ui.contexts

## Interface ISuspendTriggerListener

    public interface ISuspendTriggerListener

Listeners are notified when a launch has suspended at a context where debugging should begin. For example, in a stack frame where a breakpoint has been encountered.

Generally, clients implement `ISuspendTrigger` and the debug platform registers as a suspend trigger listener.

Since:
  3.3
See Also:
  `ISuspendTrigger`
Restriction:
  This interface is not intended to be implemented by clients.
Restriction:
  This interface is not intended to be extended by clients.

### Method Summary

All Methods Instance Methods Abstract Methods
`void` `suspended(ILaunch launch, Object context)` Notification the given launch has suspended at the specified context.

### Method Detail

#### suspended

    void suspended(ILaunch launch,
                   Object context)

Notification the given launch has suspended at the specified context.

Parameters:
  `launch` - the launch that has suspended
  `context` - the context on which the launch suspended